%bcond_without static

Name:          libXfixes
Version:       6.0.1
Release:       1
Summary:       X11 miscellaneous "fixes" extension library
License:       MIT
URL:           https://xorg.freedesktop.org/
Source0:       https://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.gz

BuildRequires: automake libtool xorg-x11-proto-devel libXext-devel
Requires:      libX11

%description
The X Fixes extension provides applications with work-arounds for
various limitations in the core protocol.

%package       devel
Summary:       Development files and Header files for %{name}
Requires:      %{name} = %{version}-%{release} pkgconfig

%description   devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1 

%build
%configure \
%if %{with static}
    --disable-static
%endif 
%make_build

%install
%make_install
%delete_la

%ldconfig_scriptlets

%files 
%defattr(-,root,root)	
%doc AUTHORS 
%license COPYING
%{_libdir}/libXfixes.so.*

%files  devel
%defattr(-,root,root)
%{_includedir}/X11/extensions/Xfixes.h
%{_libdir}/pkgconfig/*.pc
%if %{without static}
%{_libdir}/*.a
%endif
%{_libdir}/libXfixes.so

%files  help
%doc README.md
%{_mandir}/man3/Xfixes.3.gz

%changelog
* Thu Jul 20 2023 zhangpan <zhangpan103@h-partners.com> - 6.0.1-1
- update to 6.0.1

* Sat Oct 22 2022 wangkerong <wangkerong@h-partners.com> - 6.0.0-2
- disable static library by default

* Wed Dec 1 2021 dongyuzhen <dongyuzhen@huawei.com> - 6.0.0-1
- update to 6.0.0

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 5.0.3-11
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license files

* Mon Sep 9 2019 openEuler Buildteam <buildteam@openeuler.org> - 5.0.3-10
- Type: enhancement
- ID:   NA
- SUG:  NA
- DESC: rebuilt spec

* Wed Aug 21 2019 openEuler Buildteam<buildteam@openeuler.org> - 5.0.3-9
- Package init

